org.apache.ignite.internal.processors.query

## Interface GridQueryIndexDescriptor

    public interface GridQueryIndexDescriptor

Describes an index to be created for a certain type. It contains all necessary information about fields, order, uniqueness, and specified whether this is SQL or Text index. See also `GridQueryTypeDescriptor.indexes()`.

### Method Summary

Methods
`boolean` `descending(String field)` Specifies order of the index for each indexed field.
`Collection<String>` `fields()` Gets all fields to be indexed.
`GridQueryIndexType` `type()` Gets index type.

### Method Detail

#### fields

    Collection<String> fields()

Gets all fields to be indexed.

Returns:
  Fields to be indexed.

#### descending

    boolean descending(String field)

Specifies order of the index for each indexed field.

Parameters:
  `field` - Field name.
Returns:
  `True` if given field should be indexed in descending order.

#### type

    GridQueryIndexType type()

Gets index type.

Returns:
  Type.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.8.0
Release Date | : December 5 2016